/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from "react";
import styled from "styled-components";
import EncontrandoRecurso from "../../../img/ajuda/Encontrando_recursos.png";

import { Link } from "react-router-dom";

export default function CardEncontrando({ contrast }) {
  return (
    <CardAjuda contrast={contrast}>
      <div className="card">
        <img src={EncontrandoRecurso} alt="" />
        <h3>Encontrando Recursos</h3>
        <hr />
        <Link
          to={{
            pathname: "encontrando-recurso",
            state: { value: "0" }
          }}
        >
          Como fazer uma busca?
        </Link>
        <br />
        <Link
          to={{
            pathname: "encontrando-recurso",
            state: { value: "1" }
          }}
        >
          Como filtrar os resultados?
        </Link>
        <br />
        <Link
          to={{
            pathname: "encontrando-recurso",
            state: { value: "2" }
          }}
        >
          Como os recursos são ranqueados?
        </Link>
        <br />
      </div>
      <div className="card-rodape">
        <Link
          to={{
            pathname: "encontrando-recurso",
            state: { value: "0" }
          }}
        >
          VER MAIS
        </Link>
      </div>
    </CardAjuda>
  );
}

const CardAjuda = styled.div`

height: 360px;
margin-bottom: 20px;
width: 100%

.card {
  height: 280px;
  padding: 40px 15px;
  text-align: center;
  font-size: 14px;
  background-color: ${props => props.contrast === "" ? "#fff" : "black"};
  box-shadow: ${props => props.contrast === "" ? "0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24)" : "0 1px 3px rgba(254,254,254,.24),0 1px 2px rgba(254,254,254,.48)"};
  margin-top:30px
  h3 {
    font-size: 23px;
    font-weight: 400;
    color: ${props => props.contrast === "" ? "#666" : "white"};
    margin-top: 20px;
    margin-bottom: 10px;
    line-height: 1.1;
  }

  hr {
    margin-top: 20px;
    margin-bottom: 20px;
    border: 0;
    border-top: 1px solid #eee;
    color: #a5a5a5;
  }

  a {
    font-size: 15px;
    color: ${props => props.contrast === "" ? "#666" : "yellow"};
    text-decoration: ${props => props.contrast === "" ? "none" : "underline"};
    font-weight: lighter;
    text-align: center;
    :hover {
      color: ${props => props.contrast === "" ? "#000" : "yellow"};
      font-weight: 500;
    }

  }

  img {
    height: 62px ;
    width: 62px ;
  }

}

.card-rodape {
  box-sizing: border-box;

  a {
    border-radius: 0;
    width: 100%;
    font-size: 13px;
    font-weight: 700;
    color: ${props => props.contrast === "" ? "#fff" : "yellow"};
    transition: .2s ease;
    border: ${props => props.contrast === "" ? "none" : "1px solid white"};
    height: 40px;
    line-height: 40px;
    background-color: ${props => props.contrast === "" ? "#00bcd4" : "black"};
    touch-action: manipulation;
    cursor: pointer;
    text-decoration: ${props => props.contrast === "" ? "none" : "underline"};
    display: inline-block;
    margin-bottom: 0;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    touch-action: manipulation;
    cursor: pointer;
    user-select: none;
    box-shadow: 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
  }
  &:hover{
    a{
      background-color: ${props => props.contrast === "" ? "" : "rgba(255,255,0,0.24)"};
    }
  }
}

}

`;
