/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import styled from 'styled-components'
import Grid from '@material-ui/core/Grid';
import Tabs from '@material-ui/core/Tabs';
import { Container } from 'react-grid-system'

// {/*   COMPONENTS USED IN ALL TABS */}

export const ContainerDivStyled = styled.div`
    /*No portal atual: "container nopad box"*/
    margin-left : auto;
    margin-right : auto;
    margin-bottom: 30px;
    background-color: #fff;
    box-shadow : 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24) !important;

    height : auto;
    display : flex;
    @media screen and (min-width: 1200px) {
        width : 1170px;
    }
    @media screen and (min-width: 992px) and (max-width : 1199px){
        width : 970px;
    }
    @media screen and (min-width: 768px) and (max-width : 991px) {
        width : 750px;
    }

    @media screen and (max-width: 768px) {
        width : max-content;
    }
`
export const DivContainerRecursosPublicados = styled.div`
    /*No portal atual: "container-recursos-privados-dskt col-xs 12"*/
    position : relative;
    min-height : 1px;
    padding-right : 15px;
    padding-left : 15px;
`

export const WhiteContainer = styled.div`
    padding-top : 1em;
    display : flex;
    flex-direction : column;
    margin-left : auto;
    margin-right : auto;
    background-color: ${props => props.contrast === "" ? "#fff" : "black"};
    border: ${props => props.contrast === "" ? 0 : "1px solid white"};
    box-shadow : 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
    margin-bottom : 30px;

    @media screen and (min-width: 1200px) {
        width : 1170px;
    }
    @media screen and (min-width: 992px) and (max-width : 1199px){
        width : 970px;
    }
    @media screen and (min-width: 768px) and (max-width : 991px) {
        width : 750px;
    }

    @media screen and (max-width: 768px) {
        width : auto;
    }

    .errorText{
        font-size: 15px;
        color: ${props => props.contrast === "" ? "" : "white"}
        font-weight: lighter;
        margin: 0 0 10px;
        display: flex;
        justify-content: center;
        text-align: center;
    }
`

export const StyledGrid = styled(Grid)`
    .MuiGrid-item {
        @media screen and (max-width: 768px) {
            display : flex;
            justify-content : center;
        }
    }
`
export const Carregados = styled.div`
    text-align : center;
    position : relative;
    margin-right : -15px;
    margin-left : -15px;
    .total{
        margin: 0 0 10px; 
        font-size: 14px;
        color: ${props => props.contrast === "" ? "" : "white"};
    }
`

export const HeaderGrid = styled(Grid)`
    border-bottom : 1px solid #d1d1d1;
    padding-bottom : 15px;
    margin-bottom : 10px;

    h3 {
        font-size: 21px;
        font-weight: lighter !important;
        margin: 0;
        @media screen and (max-width: 768px) {
            padding-left : 5px;
        }
    }

    span {
        color: #ff7f00 !important;
        text-transform : uppercase;
        font-weight : 700;
        font-size : 15px;
        @media screen and (max-width: 768px) {
            padding-right : 5px;
        }
    }
`
export const ContainerStyled = styled.div`
    padding : 0;
    display : flex;
    margin-left : auto;
    margin-right : auto;

    @media screen and (min-width: 1200px) {
        width : 1170px;
    }
    @media screen and (min-width: 992px) and (max-width : 1199px){
        width : 970px;
    }
    @media screen and (min-width: 768px) and (max-width : 991px) {
        width : 750px;
    }

    @media screen and (max-width: 768px) {
        width : auto;
    }

    .marginTop {
        margin-top : 50px;
    }
`

/*User page and Public User page components: */
export const HeaderContainer = styled.div`
    background-color: ${props => props.contrast === "" ? "#afeeee" : "black"};
    border: ${props => props.contrast === "" ? 0 : "1px solid white"};
    position : relative;
`

export const UserProfileContainer = styled.div`
    background-color : #fff;
    box-shadow : 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
    margin-bottom : 30px;
    margin-right : auto;
    margin-left : auto;
    display : flex;
    flex-direction : column;
    color : #666;
    @media screen and (min-width: 1200px) {
        width : 1170px;
    }
    @media screen and (min-width: 992px) and (max-width : 1199px){
        width : 970px;
    }
    @media screen and (min-width: 768px) and (max-width : 991px) {
        width : 750px;
    }
`

export const CoverContainer = styled.div`
 height : 230px;
 position : relative;
 @media screen and (max-width: 600px) {
            height : 128px
        }
`

export const UserProfileInfoDiv = styled.div`
  position : absolute;
  bottom : 0;
  left : 260px;
  overflow : hidden;
  margin-bottom : 20px;
  p{
    font-size: 28px;
    color: #fff;
    padding: 5px 10px;
    font-weight: 500;
    background-color: ${props => props.contrast === "" ? "#77777796" : "black"};
    border-radius: 5px;
  }
`

export const CheckTeacherDiv = styled.div`
    padding-top : 10px;
    padding-left : 250px;
    margin-bottom : -10px;
    display : absolute;
    background-color: ${props => props.contrast === "" ? "" : "black"};
    border-left: ${props => props.contrast === "" ? 0 : "1px solid white"};
    border-right: ${props => props.contrast === "" ? 0 : "1px solid white"};

    p {
        margin : 0 0 10px;
        font-family: Roboto;
        font-size: 15px;
        line-height: 22px;
        text-align: left;
        color: ${props => props.contrast === "" ? "" : "white"};

        span {
            padding-right : 5px;

            img {
                display: inline;
                height: 20px;
                width: 22px;
            }
        }
    }
`

export const StyledTabs = styled(Tabs)`
    .MuiTab-textColorPrimary{
        color: ${props => props.contrast === "" ? "#666" : "yellow"};
        text-decoration: ${props => props.contrast === "" ? "none" : "underline"};
        font-weight: 400; 
    }
    .MuiTab-textColorPrimary.Mui-selected {
        color: ${props => props.contrast === "" ? "#00bcd4" : "yellow"};
        text-decoration: none; 
        font-weight: 500; 
    }
`

export const RodapeDiv = styled.div`
    display : flex;
    flex-direction : row;
    justify-content : flex-end;
    padding-right : 15px;
    background-color: ${props => props.contrast === "" ? "transparent" : "black"};
    border-left: ${props => props.contrast === "" ? 0 : "1px solid white"};
    border-right: ${props => props.contrast === "" ? 0 : "1px solid white"};
    border-bottom: ${props => props.contrast === "" ? 0 : "1px solid white"};

    .report-button {
        @media screen and (max-width: 768px) {
            display : none;
        }
    }

`

export const NavBarContentContainer = styled(Container)`
    background-color: ${props => props.contrast === "" ? "transparent" : "black"};
    padding-bottom : 0;
    overflow-x : hidden !important;
    overflow-y : hiddden !important;
    margin-right : 0 !important;
`

export const BackgroundDiv = styled.div`
    color: ${props => props.contrast === "" ? "#666" : "white"};
    font-family : 'Roboto', sans serif;
    font-size : 14px;
    padding-bottom : 50px;
    line-height : 20px;
    background-color: ${props => props.contrast === "" ? " #f4f4f4" : "black"};
`
